Subject: Re: bug#8497: Bug#620795: emacs23: Makefile generation with cpp mangles multiarch include paths (impending FTBFS)

From: Steve Langasek <[email-masked]>
Date: Fri, 15 Apr 2011 19:12:18 -0700

On Fri, Apr 15, 2011 at 09:51:00PM -0400, Glenn Morris wrote:
> Rob Browning wrote:

> > (If possible, please preserve the 620795-forwarded address in any replies.)

> Sorry, not so long as bug#63995 exists.

> >> The attached patch partially addresses this by undefining any macros that
> >> happen to exist for the <cpu> portion of the architecture triplet.

> Note the following in configure.in attempts to do this kind of thing already:

>     # Now get this: Some word that is part of the ${srcdir} directory name
>     # or the ${configuration} value might, just might, happen to be an
>     # identifier like `sun4' or `i386' or something, and be predefined by
>     # the C preprocessor to some helpful value like 1, or maybe the empty
>     # string.  Needless to say consequent macro substitutions are less
>     # than conducive to the makefile finding the correct directory.
>     [cpp_undefs="`echo $srcdir $configuration $canonical unix |
>       sed -e 's/[^a-zA-Z0-9_]/ /g' -e 's/^/ /' -e 's/  *$//' \
>       -e 's/  */ -U/g' -e 's/-U[0-9][^ ]*//g'`"]

> so it's not obvious to me why you need to do more (maybe $canonical is
> i686-something but your directories are i386-something?).

Ah - yes, that's exactly right.  So this issue should only affect the i386
build, where the toolchain triplet != the multiarch directory.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
[email-masked]                                     [email-masked]